# RecursiveMakeIdentitiesOptions | Stacks.js 1.0.0 Library Reference
Documentation for Stacks.js 1.0.0 Library Reference

### Hierarchy

- RecursiveMakeIdentitiesOptions

## Index

### Properties

- identities
- index
- rootNode

## Properties

### Optional identities

identities: Identity []

- Defined in packages/keychain/src/utils/index.ts:199

### Optional index

index: undefined | number

- Defined in packages/keychain/src/utils/index.ts:198

### rootNode

rootNode: BIP32Interface

- Defined in packages/keychain/src/utils/index.ts:197

Generated using TypeDoc